%define upstream_name    Git-DescribeVersion
%define upstream_version 1.001011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use git-describe to show a repo's version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::MockObject::Extends)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 14 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 71151
- imported package perl-Git-DescribeVersion


* Mon Mar 14 2011 cpan2dist 1.001011-1mga
- initial mageia release, generated with cpan2dist
